Enhavo

# Shell Function

Startigas alian aplikaĵon kaj difinas la respektivan fenestran stilon, se necese.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Pathname

Name of the program that you want to start, optionally with complete path and/or arguments.

### Windowstyle

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Meaning
--- | ---
0 | La kaŝita programa fenestro estas enfokusigita. Not implemented in LibreOffice.
1 | La programa fenestro en normala grando estas enfokusigita. Not implemented in LibreOffice.
2 | La minimumigita programa fenestro estas enfokusigita.
3 | la maksimumigita programa fenestro estas enfokusigita.
4 | Programa fenestro ordinare granda, elfokusigita. Not implemented in LibreOffice.
6 | Minimumigita programa fenestro, la aktiva fenestro ankoraŭ estas enfokusigita. Not implemented in LibreOffice.
10 | Tutekrana vidigo.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

Se ĉi tiu valoro estas atribuita al true, la komando Shell kaj ĉiuj taskoj de LibreOffice atendos ĝis kiam finis la ŝela proceduro. Se la valoro estas atribuita al false, la ŝelo revenos rekte. La apriora valoro estas false.

### Error codes:

5 Nevalida procedurvoko

53 Dosiero ne trovita

73 Ne realigita

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub